summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authormathieui <mathieui@mathieui.net>2014-11-30 16:29:50 +0100
committermathieui <mathieui@mathieui.net>2014-11-30 16:29:50 +0100
commita208dc87ee918c13fb168ed20a2fb01412344df1 (patch)
tree80e77300f9fb966f12009f1f557fcb00281ccd44
parent43004a8570581c7a20e9874e9c62d83ce02e6cd1 (diff)
downloadpoezio-a208dc87ee918c13fb168ed20a2fb01412344df1.tar.gz
poezio-a208dc87ee918c13fb168ed20a2fb01412344df1.tar.bz2
poezio-a208dc87ee918c13fb168ed20a2fb01412344df1.tar.xz
poezio-a208dc87ee918c13fb168ed20a2fb01412344df1.zip
Add a check for the python version in the scripts
-rwxr-xr-xlaunch.sh1
-rwxr-xr-xupdate.sh1
2 files changed, 2 insertions, 0 deletions
diff --git a/launch.sh b/launch.sh
index 73b08eac..34fea7b4 100755
--- a/launch.sh
+++ b/launch.sh
@@ -1,4 +1,5 @@
#!/bin/sh
+python3 -c 'import sys;(print("Python 3.4 or newer is required") and exit(1)) if sys.version_info < (3, 4) else exit(0)' || exit 1
poezio_dir=$(dirname "$0")
VENV="poezio-venv"
diff --git a/update.sh b/update.sh
index d95a1df5..bdf1dc77 100755
--- a/update.sh
+++ b/update.sh
@@ -6,6 +6,7 @@
# Use launch.sh to start poezio directly from here
+python3 -c 'import sys;(print("Python 3.4 or newer is required") and exit(1)) if sys.version_info < (3, 4) else exit(0)' || exit 1
cd "$(dirname "$0")"
VENV="poezio-venv"
VENV_COMMAND="pyvenv"